ExclusiveArch: %{ix86} ppc

Name:           jogl
Version:        1.1.1
Release:        %mkrel 0.6.3
Epoch:          0
Summary:        Java bindings for the OpenGL API

Group:          Development/Java
License:        BSD
URL:            http://jogl.dev.java.net/
Source0:        jogl-src.tar.bz2
Source1:        jogl.properties
Source2:        SGIFreeSWLicB.1.1.ps
Source3:        jogl-README.txt
Patch0:		jogl-ppc.patch.bz2
Patch1:		jogl-nojavadoclink.patch.bz2
Patch2:		jogl-ppctools.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  ant, antlr, ant-antlr, jpackage-utils >= 1.5
BuildRequires:	cpptasks
BuildRequires:	X11-devel
BuildRequires:	MesaGLU-devel
BuildRequires:    java-gcj-compat-devel >= 0:1.0.31
Requires(post):   java-gcj-compat >= 0:1.0.31
Requires(postun): java-gcj-compat >= 0:1.0.31

%description 
The JOGL Project hosts a reference implementation of the Java bindings
for OpenGL API, and is designed to provide hardware-supported 3D
graphics to applications written in the Java programming language.  Is
is part of a suite of open-source technologies initiated bu the Game
Technology Group at Sun Microsystems.  JOGL provides full access to
the APIs in the OpenGL 1.5 specification as well as nearly all vendor
extensions, and integrated with the AWT and Swing widget sets.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
#BuildRequires:  java-javadoc

%description    javadoc
%{summary}.

%prep
%setup -q -n jogl
%patch0 -p0
%patch1 -p0
%patch2 -p0
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .
%{__ln_s} $(build-classpath cpptasks) make/lib/cpptasks-cvs-040628.jar
%build
%{__perl} -pi -e 's/suncc/sunc89/g' make/build.xml

TARGET=linux
%ifarch ppc
TARGET=linux.ppc
%endif

export OPT_JAR_LIST="antlr ant/antlr"
export CLASSPATH=$(build-classpath antlr ant/ant-antlr)
(cd make && %ant -Duser.home=%{_topdir}/SOURCES -Dantlr.jar=$(build-classpath antlr) $TARGET javadoc.dev.x11)

# Rename the jar into a versioned jar name and create the .so version.
mv build/jogl.jar build/%{name}-%{version}.jar

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 build/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -dm 755 $RPM_BUILD_ROOT%{_libdir}
install -pm 755 build/obj/libjogl.so $RPM_BUILD_ROOT%{_libdir}/libjogl.so

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pR javadoc_jogl_dev/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%{_bindir}/aot-compile-rpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/rebuild-gcj-db
/sbin/ldconfig

%postun
%{_bindir}/rebuild-gcj-db
/sbin/ldconfig

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc SGIFreeSWLicB.1.1.ps
%doc jogl-README.txt
%doc doc/*
%{_javadir}/*.jar
%{_libdir}/gcj/*
%{_libdir}/*.so
# %attr(-,root,root) %{_libdir}/gcj/%{name}

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Wed Jan 18 2006 David Walluck <walluck@mandriva.org> 0:1.1.1-0.6.3mdk
- fix aot-compile-rpm path
- does not build on x86_64

* Tue Nov 02 2005 David Walluck <walluck@mandriva.org> 0:1.1.1-0.6.2mdk
- BuildRequires: MesaGLU-devel

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:1.1.1-0.6.1mdk
- release

* Sat Sep  3 2005 Anthony Green <green@redhat.com> - 0:1.1.1-6
- Add ppctools patch and only build for x86 and ppc for now.
- Remove Epoch.

* Sat Sep  3 2005 Anthony Green <green@redhat.com> - 0:1.1.1-5
- Add nojavadoclink patch so we don't end up referencing Sun's
  javadocs.

* Sat Sep  3 2005 Anthony Green <green@redhat.com> - 0:1.1.1-4
- Add ppc build patch.

* Sat Sep  3 2005 Anthony Green <green@redhat.com> - 0:1.1.1-3
- BuildRequire ant-antlr.

* Sat Sep  3 2005 Anthony Green <green@redhat.com> - 0:1.1.1-2
- Make build more verbose to debug build problems on FE build
  infrastructure.

* Thu Sep  1 2005 Anthony Green <green@redhat.com> - 0:1.1.1-1
- Use aot-compile-rpm and other fixes from Tom Fitzsimmons.

* Mon Aug 22 2005 Anthony Green <green@redhat.com> - 0:1.1b12-2fc4
- Add --as-needed linker options.

* Mon Jun 20 2005 Anthony Green <green@redhat.com> - 0:1.1b12-1fc4
- Upgrade to 1.1 beta 12.
- Rebuilt on real FC4 system.

* Mon May 16 2005 Anthony Green <green@redhat.com> - 0:1.1b11-1fc
- Build requires xorg-x11-devel.
- Switch to aot-compile from find-and-nativify.
- Upgrade to 1.1 beta 11.

* Sun Apr  3 2005 Anthony Green <green@redhat.com> - 0:1.1b10-1fc
- Created.
